<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Transporte{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($vehiculo,$placa,$capacidad){
	$sql="INSERT INTO transporte (vehiculo,placa,capacidad,estado) VALUES ('$vehiculo','$placa','$capacidad','Disponible')";
	return ejecutarConsulta($sql);
}

public function editar($idtransporte,$vehiculo,$placa,$capacidad){
	$sql="UPDATE transporte SET vehiculo='$vehiculo',placa='$placa',capacidad='$capacidad' WHERE idtransporte='$idtransporte'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idtransporte){
	$sql="DELETE FROM transporte WHERE idtransporte='$idtransporte'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtransporte){
	$sql="SELECT * FROM transporte WHERE idtransporte='$idtransporte'";
	return ejecutarConsultaSimpleFila($sql);
}

public function desactivar($idtransporte){
	$sql="UPDATE transporte SET estado='Deshabilito' WHERE idtransporte='$idtransporte'";
	return ejecutarConsulta($sql);
}

public function activar($idtransporte){
	$sql="UPDATE transporte SET estado='Disponible' WHERE idtransporte='$idtransporte'";
	return ejecutarConsulta($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM transporte WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM transporte WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarp(){
	$sql="SELECT * FROM transporte WHERE tipo_persona='Proveedor'";
	return ejecutarConsulta($sql);
}
public function listarc(){
	$sql="SELECT * FROM transporte WHERE tipo_persona='Cliente'";
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT * FROM transporte";
	return ejecutarConsulta($sql);
}

public function select(){
	$sql="SELECT * FROM transporte WHERE estado='Disponible'";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

 ?>
